Package org.eclipse.cdt.core.build

# Interface ICBuildConfiguration2

All Known Implementing Classes:
  `CBuildConfiguration`, `ErrorBuildConfiguration`, `StandardBuildConfiguration`

public interface ICBuildConfiguration2

Since:
  6.5

## Method Summary

Modifier and Type
Method
Description
`URI`
`getBuildDirectoryURI()`
The URI for the directory in which the build is executed.
`void`
`setActive()`
Mark the Build Configuration as active

## Method Details

### setActive

void setActive()
Mark the Build Configuration as active

### getBuildDirectoryURI

URI getBuildDirectoryURI() throws org.eclipse.core.runtime.CoreException
The URI for the directory in which the build is executed.

Throws:
  `org.eclipse.core.runtime.CoreException`